extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "soulhp:incredible_layer1",
    "layer2": "soulhp:incredible_layer2",
});




function initEffects(renderer) {

    chest = renderer.createEffect("fiskheroes:chest");
    chest.setExtrude(1).setYOffset(1);

renderer.setItemIcons("%s_0", "%s_1", "%s_2", "%s_3");
renderer.showModel("CHESTPLATE", "body", "rightArm", "leftArm");
renderer.showModel("LEGGINGS", "rightLeg", "leftLeg");
renderer.showModel("BOOTS", "rightLeg", "leftLeg");

var forcefield = renderer.bindProperty("fiskheroes:forcefield");
forcefield.color.set(0xA36DB2);
forcefield.setShape(36, 18).setOffset(0.0, 6.0, 0.0).setScale(1.25);
forcefield.setCondition(entity => {
    forcefield.opacity = entity.getInterpolatedData("fiskheroes:shield_blocking_timer") * 0.15;
    return true;
});

}
